import Immutable from 'immutable';
export declare const actions: {
    LOADING_CHART: string;
    LOADED_CHART: string;
    SET_FILTER: string;
    RESET_FILTER: string;
    LOAD_QUERIES: string;
    SAVE_QUERIES: string;
    LOAD_TEMPLATES: string;
    REMOVE_FILTER: string;
    SET_SELECTED_TEMPLATE: string;
    LOAD_SQL_QUERIES_LIST: string;
    SET_FILTER_NO_RELOAD: string;
    SET_INPUT_SHOWING: string;
    SET_UNIT: string;
    SET_MAP_TITLE: string;
    SET_SLIDER_RANGE: string;
};
export declare const creators: {
    loadingChart: (chartName: any) => {
        type: string;
        chartName: any;
    };
    loadedChart: (chartName: any, chartData: any, filters: any) => {
        type: string;
        chartName: any;
        chartData: any;
        filters: any;
    };
    setFilter: (chartName: any, filters: any) => {
        type: string;
        chartName: any;
        filters: any;
    };
    resetFilter: (chartName: any, filters: any) => {
        type: string;
        chartName: any;
        filters: any;
    };
    loadQueries: (chartName: any, savedQueries: any) => {
        type: string;
        chartName: any;
        savedQueries: any;
    };
    saveQueries: (chartName: any, queriesToSave: any) => {
        type: string;
        chartName: any;
        queriesToSave: any;
    };
    loadTemplates: (chartName: any, reportTemplates: any) => {
        type: string;
        chartName: any;
        reportTemplates: any;
    };
    setSelectedTemplate: (chartName: any, reportTemplate: any) => {
        type: string;
        chartName: any;
        reportTemplate: any;
    };
    removeFilter: (chartName: any, filterName: any) => {
        type: string;
        filterName: any;
    };
    loadSqlQueriesList: (chartName: any, sqlQueries: any) => {
        type: string;
        chartName: any;
        sqlQueries: any;
    };
    setFilterNoReload: (chartName: any, filters: any) => {
        type: string;
        chartName: any;
        filters: any;
    };
    setInputShowing: (chartName: any, inputShowing: any) => {
        type: string;
        chartName: any;
        inputShowing: any;
    };
    setUnit: (chartName: any, unit: any) => {
        type: string;
        chartName: any;
        unit: any;
    };
    setMapTitle: (chartName: any, mapTitle: any) => {
        type: string;
        chartName: any;
        mapTitle: any;
    };
    setSliderRange: (chartName: any, sliderRange: any) => {
        type: string;
        chartName: any;
        sliderRange: any;
    };
};
declare const ChartState_base: Immutable.Record.Factory<{
    _charts: Immutable.Map<unknown, unknown>;
}>;
declare class ChartState extends ChartState_base {
    getChart(chartName: any): unknown;
    loadingChart(chartName: any): this;
    loadedChart(chartName: any, chartData: any, filters: any): this;
    removeFilter(chartName: any, filterName: any): this;
    setFilter(chartName: any, filters: any): this;
    resetFilter(chartName: any, filters: any): this;
    setQueries(chartName: any, savedQueries: any): this;
    setTemplates(chartName: any, reportTemplates: any): this;
    setSelectedTemplate(chartName: any, templateName: any): this;
    setSqlQueriesList(chartName: any, sqlQueries: any): this;
    pageChange(): this;
    setFilterNoReload(chartName: any, filters: any): this;
    setInputShowing(chartName: any, inputShowing: any): this;
    setUnit(chartName: any, unit: any): this;
    setMapTitle(chartName: any, mapTitle: any): this;
    setSliderRange(chartName: any, sliderRange: any): this;
}
declare const state: {
    reducer: (state: ChartState | undefined, action: any) => ChartState;
    actions: {
        LOADING_CHART: string;
        LOADED_CHART: string;
        SET_FILTER: string;
        RESET_FILTER: string;
        LOAD_QUERIES: string;
        SAVE_QUERIES: string;
        LOAD_TEMPLATES: string;
        REMOVE_FILTER: string;
        SET_SELECTED_TEMPLATE: string;
        LOAD_SQL_QUERIES_LIST: string;
        SET_FILTER_NO_RELOAD: string;
        SET_INPUT_SHOWING: string;
        SET_UNIT: string;
        SET_MAP_TITLE: string;
        SET_SLIDER_RANGE: string;
    };
    creators: {
        loadingChart: (chartName: any) => {
            type: string;
            chartName: any;
        };
        loadedChart: (chartName: any, chartData: any, filters: any) => {
            type: string;
            chartName: any;
            chartData: any;
            filters: any;
        };
        setFilter: (chartName: any, filters: any) => {
            type: string;
            chartName: any;
            filters: any;
        };
        resetFilter: (chartName: any, filters: any) => {
            type: string;
            chartName: any;
            filters: any;
        };
        loadQueries: (chartName: any, savedQueries: any) => {
            type: string;
            chartName: any;
            savedQueries: any;
        };
        saveQueries: (chartName: any, queriesToSave: any) => {
            type: string;
            chartName: any;
            queriesToSave: any;
        };
        loadTemplates: (chartName: any, reportTemplates: any) => {
            type: string;
            chartName: any;
            reportTemplates: any;
        };
        setSelectedTemplate: (chartName: any, reportTemplate: any) => {
            type: string;
            chartName: any;
            reportTemplate: any;
        };
        removeFilter: (chartName: any, filterName: any) => {
            type: string;
            filterName: any;
        };
        loadSqlQueriesList: (chartName: any, sqlQueries: any) => {
            type: string;
            chartName: any;
            sqlQueries: any;
        };
        setFilterNoReload: (chartName: any, filters: any) => {
            type: string;
            chartName: any;
            filters: any;
        };
        setInputShowing: (chartName: any, inputShowing: any) => {
            type: string;
            chartName: any;
            inputShowing: any;
        };
        setUnit: (chartName: any, unit: any) => {
            type: string;
            chartName: any;
            unit: any;
        };
        setMapTitle: (chartName: any, mapTitle: any) => {
            type: string;
            chartName: any;
            mapTitle: any;
        };
        setSliderRange: (chartName: any, sliderRange: any) => {
            type: string;
            chartName: any;
            sliderRange: any;
        };
    };
};
export default state;
